#
# spec file for package vnc (Version 3.3.3r2)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libz xdevel xf86
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm xdevel xf86 xshared

Name:         vnc
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
License:      GPL
Group:        System/X11/Utilities
Autoreqprov:  on
Summary:      A virtual X-Server
Version:      3.3.3r2
Release:      470
Source:       ftp://ftp.uk.research.att.com/pub/vnc/dist/vnc-%{version}_unixsrc.tgz
Source1:      ftp://ftp.uk.research.att.com/pub/vnc/dist/vnc-latest_doc.tgz
Patch:        vnc_unixsrc.dif
#Patch1:     http://www.ce.cctpu.edu.ru/vnc/download/vnc-3.3.3r1-unix-tight-1.1.patch.gz
Patch1:       vnc-3.3.3r2-unix-tight-1.1.patch
Patch2:       vnc-%{version}-s390.patch
#Patch3:     ftp://ppc.linux.or.jp/pub/JRPM/pre-R5/SRPMS/vnc-3.3.2r3-0rh.src.rpm
Patch3:       vnc-%{version}-ppc.patch
# these come from our xdevel3 package
Patch4:       Imake.cf
Patch5:       linux.cf
Patch6:       vnc-%{version}-sparc.patch
Patch7:       vnc_unixsrc-partial-http-requests.dif
Patch8:       vncpasswd.arg.dif
Patch9:       vnc-cookie.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
With vnc, start a virtual X Server and get access to it from
different machines with the vnc-viewer.  You can change the machine
without terminating your session.


Viewer and server are also available for Windows -- they allow access
to vnc under Windows.  You can find it under /dosutils/vnc on the
first CD.

Authors:
--------
    <vnc@orl.co.uk>

SuSE series: xap

%prep
%setup -n vnc_unixsrc -a 1
%patch
%patch7
%patch8 -p1
%patch1 -p1
%ifarch s390 ppc
patch -p1 --input="$RPM_SOURCE_DIR/vnc-${RPM_PACKAGE_VERSION}-${RPM_ARCH}.patch"
%endif
%ifnarch ppc
%patch6
%endif
%patch9

%build
    # build the clients
    xmkmf
    make World
    # build the server
    diff -u Xvnc/config/cf/Imake.cf $RPM_SOURCE_DIR/Imake.cf ||
	cp $RPM_SOURCE_DIR/Imake.cf Xvnc/config/cf/Imake.cf
    diff -u Xvnc/config/cf/linux.cf $RPM_SOURCE_DIR/linux.cf ||
	cp $RPM_SOURCE_DIR/linux.cf Xvnc/config/cf/linux.cf
    cd Xvnc
    make World

%install
    test "${RPM_BUILD_ROOT##*/}" != "" -a -d "$RPM_BUILD_ROOT" &&
	rm -rf "$RPM_BUILD_ROOT"
    mkdir -m755 -p $RPM_BUILD_ROOT/usr/{X11R6/bin,share/vnc/classes}
    ./vncinstall $RPM_BUILD_ROOT/usr/X11R6/bin
    %{INSTALL_DATA} classes/* $RPM_BUILD_ROOT/usr/share/vnc/classes
    strip $RPM_BUILD_ROOT/usr/X11R6/bin/Xvnc
    strip $RPM_BUILD_ROOT/usr/X11R6/bin/vncviewer
#% clean
#    make clean

%files
    /usr/X11R6/bin/Xvnc
    /usr/X11R6/bin/vncviewer
    /usr/X11R6/bin/vncserver
    /usr/X11R6/bin/vncpasswd
    /usr/X11R6/bin/vncpasswd.arg
    /usr/share/vnc
%doc	README
%doc	LICENCE.TXT
%doc    vnc_docs/*

%changelog -n vnc
* Mon Feb 17 2003 - max@suse.de
- security fix (use mkookie for X11 cookies).
* Tue Feb 12 2002 - poeml@suse.de
- add vncpasswd.arg to set a password via the commandline, to be
  used when getpass() can't read from /dev/console (there are
  situations where this can make sense, like in the instsys)
* Fri Feb 08 2002 - draht@suse.de
- patch against hang ini Xvnc upon receipt of incomplete http
  requests, from Tim Waugh <twaugh@redhat.com>
* Wed Aug 29 2001 - schwab@suse.de
- Fix configuration for ia64.
* Thu Aug 23 2001 - ro@suse.de
- don't apply sparc patch after ppc patches
* Mon Aug 20 2001 - kukuk@suse.de
- Fix to compile on SPARC again
* Tue Jun 26 2001 - max@suse.de
- fixed Imakefile for new xmkmf
* Wed Apr 18 2001 - froh@suse.de
- for the sake of bugfixes update to 3.3.3r2
- fix for s390
- fix for ppc
* Fri Apr 06 2001 - kukuk@suse.de
- Fix group tag
* Mon May 08 2000 - max@suse.de
- New Version: 3.3.3r1
* Thu Mar 23 2000 - schwab@suse.de
- Add support for ia64.
* Mon Nov 29 1999 - kukuk@suse.de
- Add patches for SPARC
* Thu Oct 14 1999 - max@suse.de
- new version 3.3.3
- supports shared sessions
* Thu Sep 16 1999 - uli@suse.de
- fixed Imake.cf, linux.cf for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jun 29 1999 - max@suse.de
- fixed vncserver. It was broken because of a possible perl bug.
* Wed Mar 10 1999 - uli@suse.de
- fixed broken arch. probing causing error at build time on AXP
  systems
* Thu Jan 07 1999 - max@suse.de
- new version 3.3.2r3
- fixes memory hole in Xvnc and some security bugs
- new "vncserver" perl script
- integrated the classes for the java vnc-viewer
* Sat Sep 19 1998 - ro@suse.de
- added dif-file and %%patch to spec
* Fri Sep 18 1998 - max@suse.de
- new version 3.3.2r2
- corrected font path to work with base xf86 installation
- workaround for the perl error that happend when starting vncserver
* Fri Jul 10 1998 - max@suse.de
- new version 3.3.2
- patch for gzip'ed fonts no longer necessary
* Tue May 19 1998 - max@suse.de
- renamed source and spec files
- integrated HTML and PDF documentation contained in
  vnc-3.3.1_doc.tar.gz
* Wed May 13 1998 - max@suse.de
- new package
- added ability to handle gzip'ed fonts in addition to compressed ones by
  dropping in the font library from XFree86-3.3.2.
